Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# views_are_compatible Struct Template Reference

`#include <gil_concept.hpp>`

Inheritance diagram for views_are_compatible:

## Detailed Description

### template<typename V1, typename V2>
struct boost::gil::views_are_compatible< V1, V2 >

Returns whether two views are compatible.

Views are compatible if their pixels are compatible. Compatible views can be assigned and copy constructed from one another.

The documentation for this struct was generated from the following file:

- gil_concept.hpp